Package fr.gouv.vitam.worker.core.plugin.audit.model

# Class AuditObject

java.lang.Object
fr.gouv.vitam.worker.core.plugin.audit.model.AuditObject

public class AuditObject extends Object
AuditObject

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuditObject()`
  `AuditObject(String id, String opi, String qualifier, String version, String messageDigest, String algorithm, StorageJson storage)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlgorithm()`
  `String`
  `getId()`
  `String`
  `getMessageDigest()`
  `String`
  `getOpi()`
  `String`
  `getQualifier()`
  `StorageJson`
  `getStorage()`
  `String`
  `getVersion()`
  `void`
  `setAlgorithm(String algorithm)`
  `void`
  `setId(String id)`
  `void`
  `setMessageDigest(String messageDigest)`
  `void`
  `setOpi(String opi)`
  `void`
  `setQualifier(String qualifier)`
  `void`
  `setStorage(StorageJson storage)`
  `void`
  `setVersion(String version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuditObject

    public AuditObject()

  - ### AuditObject

    public AuditObject(String id, String opi, String qualifier, String version, String messageDigest, String algorithm, StorageJson storage)

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getOpi

    public String getOpi()

  - ### setOpi

    public void setOpi(String opi)

  - ### getQualifier

    public String getQualifier()

  - ### setQualifier

    public void setQualifier(String qualifier)

  - ### getVersion

    public String getVersion()

  - ### setVersion

    public void setVersion(String version)

  - ### getMessageDigest

    public String getMessageDigest()

  - ### setMessageDigest

    public void setMessageDigest(String messageDigest)

  - ### getAlgorithm

    public String getAlgorithm()

  - ### setAlgorithm

    public void setAlgorithm(String algorithm)

  - ### getStorage

    public StorageJson getStorage()

  - ### setStorage

    public void setStorage(StorageJson storage)